Bug 2021 - Master-2.2-beta намертво зависает при загрузке модуля vmnet от VMware
: Master-2.2-beta намертво зависает при загрузке модуля vmnet от VMware
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel24-up)
: unstable
: all Linux
: P4 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-01-21 07:00 by
Modified: 2005-08-30 01:34 (History)


Attachments
0002021-kernel-vmware-bug.tar.bz2 (4.56 KB, application/x-tbz)
2003-01-21 07:00, igor-moskalev
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-01-21 07:00:17
Суть проблемы -- vmnet модуль от VMware. В случае с
ядром vmlinuz-2.4.20-alt0.8-up, при старте vmware services cистема просто вешается намертво (нерегулярно) и после жесткой перезагрузки она не грузиться. Если же загрузИться \"со стороны\" и убрать стартовые линки из /etc/rc.d/rcX.d, то все начинает работать. Важно, что модуль собирается gcc-3.2.

При попытке сборки модуля с помощью gcc-2.95/2.96 система вешается мгновенно при загрузке модуля vmnet.

В случае с ядром vmlinuz-2.4.18-alt9-up, невозможно этот модуль выгрузить, если он собран с помощью gcc-3.2 (при сборке с помощью gcc-2.95/2.96 все работает просто отлично). Выглядит это так: запускаем vmware-config.pl, он, используя gcc-3.2,  собирает модули с кучей warnings, когда наступает момент старта vmware services, vmware-config.pl вешается, но система нормально работает. Однако, при попытке выгрузки модуля (rmmod vmnet)
система говорит, что resorce or device is busy. При попытке перезагрузки системы с помощью reboot, она \"задумывается\" на бесконечно долгое время и помогает только \"кнопочка\".

Таким образом, я сейчас просто поставил ядро 2.4.18-alt9-up из Мастера 2.0, и собрал vmware модули с помощью gcc-2.95 из Мастера-2.2-бета и все описанные проблемы исчезли.

Логи неудачной загрузки и сборки модулей vmware приведены в прикрепленном файле.
---

---
Поведение идентично на двух версиях VMware: 3.1 и 3.2.
------- Comment #1 From 2003-02-06 21:09:01 -------
Будет исправлено (надеюсь) в следующей сборке.

Спасибо за подробное сообщение об ошибке
------- Comment #2 From 2003-02-06 21:09:01 -------
Будет исправлено (надеюсь) в следующей сборке.

Спасибо за подробное сообщение об ошибке
------- Comment #3 From 2003-02-09 17:50:24 -------
fixed (kernel24-2.4.20-alt2)
------- Comment #4 From 2003-02-09 17:50:24 -------
fixed (kernel24-2.4.20-alt2)